# Summary

CryptoDataHub is a repository of cryptography-related data available under a free license. The main goal of the repository is to support cryptographic library tester and client/server cryptographic settings analyzer applications such as CryptoLyzer with reliable and freely available data.

## Python Wrapper

### Installation

    pip install cryptodatahub

### Support

#### Implementations

- CPython (3.9+)

- PyPy (3.9+)

#### Operating systems

- Linux

- macOS

- Windows

## Documentation

Detailed documentation is available on the project’s Read the Docs site.

## License

The code is available under the terms of Mozilla Public License Version 2.0 (MPL 2.0).

A non-comprehensive, but straightforward description of MPL 2.0 can be found at Choose an open source license website.

## Credits

- NLnet Foundation and NGI Assure, supports the project part of the Next Generation Internet initiative.

# Details

- Features
  - Protocol-independent
    - Algorithms
    - Vulnerabilities
    - Parameters
    - Stores
  - Protocol-dependent
    - Attributes
    - Client Capabilities
    - Vulnerabilities

# History

- Changelog
  - 1.2.0 - 2026-05-05
  - 1.1.1 - 2026-05-03
  - 1.1.0 - 2026-02-13
  - 1.0.2 - 2025-12-30
  - 1.0.1 - 2025-12-07
  - 1.0.0 - 2025-01-05
  - 0.12.6 - 2024-12-08
  - 0.12.5 - 2024-05-25
  - 0.12.4 - 2024-04-28
  - 0.12.3 - 2024-03-05
  - 0.12.2 - 2024-01-11
  - 0.12.1 - 2023-12-13
  - 0.11.2 - 2023-11-13
  - 0.11.1 - 2023-11-06
  - 0.11.0 - 2023-10-28
  - 0.10.3 - 2023-10-12
  - 0.10.2 - 2023-09-28
  - 0.10.1 - 2023-08-29
  - 0.10.0 - 2023-08-03
  - 0.9.1 - 2023-06-22
  - 0.8.5 - 2023-04-02